%global commit 4bbd9f95ed3470b542a1a2c6dad56f31806cd8fa
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20150728git%{shortcommit}

Name:           dex-autostart
Version:        0.8
Release:        %mkrel 1
Summary:        Generate and execute DesktopEntry files

License:        GPLv3+
URL:            https://github.com/jceb/dex
Source0:        https://github.com/jceb/dex/archive/%{commit}/dex-%{commit}.tar.gz
Patch0:         dex.buildpath.patch


BuildRequires:  python3-devel
BuildRequires:  python-sphinx
BuildArch:      noarch

Requires:       python3

%description
dex-autostart, DesktopEntry Execution, is a program to generate and execute
DesktopEntry files of the Application type.


%prep
%setup -n dex-%{commit}


%build
make %{?_smp_mflags} VERSION=%{version}

# fix name in man page
#sed -i "s/dex/dex-autostart/g" build/man/dex.1
#sed -i "s/DEX/DEX-AUTOSTART/g" build/man/dex.1

# fix name in README
#sed -i "s/dex/dex-autostart/g" README.rst
#sed -i "s/DEX/DEX-AUTOSTART/g" README.rst



%install
%make_install PREFIX=/usr MANPREFIX=%{_mandir} NAME=%{name} VERSION=%{version}

# do not install the license twice
rm %{buildroot}/%{_defaultdocdir}/%{name}/LICENSE


%check
%{buildroot}/%{_bindir}/%{name} --test -v



%files
#%license LICENSE
%{_defaultdocdir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_bindir}/%{name}



%changelog
* Tue May 30 2017 adrianomorselli <adrianomorselli> 0.8-1uplos2017
- imported for uplos
